package com.kamco.cd.training.common.enums;

import com.kamco.cd.training.common.utils.enums.CodeExpose;
import com.kamco.cd.training.common.utils.enums.EnumType;
import lombok.AllArgsConstructor;
import lombok.Getter;

@CodeExpose
@Getter
@AllArgsConstructor
public enum LearnDataType implements EnumType {
  DELIVER("납품"),
  PRODUCTION("제작");

  private final String desc;

  @Override
  public String getId() {
    return name();
  }

  @Override
  public String getText() {
    return desc;
  }
}
